# Generated by Django 5.0.11 on 2025-02-24 18:12

import django.db.models.deletion
import django.utils.timezone
import model_utils.fields
import swapper
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("baseapp_reports", "0003_report_baseapp_rep_target__171117_idx"),
        ("contenttypes", "0002_remove_content_type_name"),
        swapper.dependency("baseapp_reports", "ReportType"),
    ]

    operations = [
        migrations.CreateModel(
            name="ReportType",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                (
                    "created",
                    model_utils.fields.AutoCreatedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="created"
                    ),
                ),
                (
                    "modified",
                    model_utils.fields.AutoLastModifiedField(
                        default=django.utils.timezone.now, editable=False, verbose_name="modified"
                    ),
                ),
                ("key", models.CharField(max_length=255, unique=True)),
                ("label", models.CharField(max_length=255)),
                (
                    "content_types",
                    models.ManyToManyField(
                        blank=True,
                        related_name="report_types",
                        to="contenttypes.contenttype",
                    ),
                ),
                (
                    "parent_type",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="sub_types",
                        to=swapper.get_model_name("baseapp_reports", "ReportType"),
                    ),
                ),
            ],
            options={
                "abstract": False,
                "swappable": swapper.swappable_setting("baseapp_reports", "ReportType"),
            },
        ),
        migrations.AddField(
            model_name="report",
            name="report_type_fk",
            field=models.ForeignKey(
                blank=True,
                null=True,
                related_name="reports",
                on_delete=django.db.models.deletion.CASCADE,
                to=swapper.get_model_name("baseapp_reports", "ReportType"),
            ),
        ),
    ]
